<template>
  <v-app>
    <nuxt />
  </v-app>
</template>
<script lang="ts">
import { Component, Vue, Watch } from 'vue-property-decorator'
import { Getter } from 'vuex-class'

@Component({
  data () {
    return {
      sideNavigationActive: true,
      items: [
        { title: 'Dashboard', icon: 'dashboard' },
        { title: 'Photos', icon: 'photo' },
        { title: 'About', icon: 'check_circle' }
      ]
    }
  }
})
export default class Home extends Vue {
  @Getter('counter/getCount') getCount: any
  @Watch('getCount') onCountChange (val: Number, oldVal: Number) {
    this.countHasBeenUpdated = (val !== oldVal)
  }

  countHasBeenUpdated = false
}
</script>
